<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP Version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2002 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at                           |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Stephan Schmidt <schst@php.net>                             |
// +----------------------------------------------------------------------+
//
// $Id: Exception.php,v 1.3 2004/11/07 12:48:52 schst Exp $

/**
 * Services/Ebay/Exception.php
 *
 * Contains all Exception classes
 *
 * @package  Services_Ebay
 * @author   Stephan Schmidt <schst@php.net>
 */

/**
 * Services_Ebay_Exception
 *
 * Base class for all exceptions thrown by Services_Ebay
 *
 * @package  Services_Ebay
 * @author   Stephan Schmidt <schst@php.net>
 */
class Services_Ebay_Exception extends PEAR_Exception
{
}

/**
 * Services_Ebay_Auth_Exception
 *
 * Authentication failure
 *
 * @package  Services_Ebay
 * @author   Stephan Schmidt <schst@php.net>
 */
class Services_Ebay_Auth_Exception extends Services_Ebay_Exception
{
}

/**
 * Services_Ebay_Transport_Exception
 *
 * Transport failure
 *
 * @package  Services_Ebay
 * @author   Stephan Schmidt <schst@php.net>
 */
class Services_Ebay_Transport_Exception extends Services_Ebay_Exception
{
}

/**
 * Services_Ebay_API_Exception
 *
 * API Failure
 *
 * @package  Services_Ebay
 * @author   Stephan Schmidt <schst@php.net>
 */
class Services_Ebay_API_Exception extends Services_Ebay_Exception
{
}
?>